Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List merchant users

Lists merchant users (minimal fields) with pagination.

GET/api/v2/{team_slug}/{app_slug}/merchant-users
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Query parameters
pageinteger
per-pageinteger
searchstring
statusstring[]

Repeatable status filter

user-idstring[]

Repeatable merchant user id

Responses
200

OK

dataMerchantUserBase[]required
Show properties
Array of MerchantUserBase
idUUIDrequired
app_idUUIDrequired
namestring | null
surnamestring | null
emailstringrequired
languagestring | null
marketstringrequired
store_groupstringrequired
phone_numberstring | null
email_verifiedboolean
email_verification_sent_atstring<date-time> | null
communication_preferencesMerchantUserCommunicationPreferences
Show properties
allow_emailboolean
allow_smsboolean
allow_postalboolean
addressMerchantUserAddress
Show properties
streetstring
zip_codestring
citystring
countrystring
country_codestring
statusstringrequired
is_super_adminboolean
third_party_sign_upboolean
tagsMerchantUserTag[]
Show properties
Array of MerchantUserTag
idUUIDrequired
keystring
namestring
statusstring
filterableboolean
created_atstring<date-time>
updated_atstring<date-time> | null
created_atstring<date-time>required
updated_atstring<date-time> | null
total_pagesintegerrequired
total_itemsintegerrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/merchant-users' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
      "name": "string",
      "surname": "string",
      "email": "string",
      "language": "string",
      "market": "string",
      "store_group": "string",
      "phone_number": "string",
      "email_verified": true,
      "email_verification_sent_at": "2019-08-24T14:15:22Z",
      "communication_preferences": {
        "allow_email": true,
        "allow_sms": true,
        "allow_postal": true
      },
      "address": {
        "street": "string",
        "zip_code": "string",
        "city": "string",
        "country": "string",
        "country_code": "string"
      },
      "status": "string",
      "is_super_admin": true,
      "third_party_sign_up": true,
      "tags": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "key": "string",
          "name": "string",
          "status": "string",
          "filterable": true,
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}